> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crunchz.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Video

> Send video content to WhatsApp users with support for various formats and rich media sharing capabilities.



## OpenAPI

````yaml POST /send-message/video
openapi: 3.1.0
info:
  title: CrunchzApp API Docs
  version: 1.0.0
  description: >-
    Comprehensive WhatsApp API for seamless messaging integration, automation,
    and customer communication in your applications.
servers:
  - url: https://api.crunchz.app/api
security:
  - http: []
paths:
  /send-message/video:
    post:
      tags:
        - Send Message
        - SendMessage
      description: >-
        Send video content to WhatsApp users with support for various formats
        and rich media sharing capabilities.
      operationId: sendMessage.sendVideo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoMessageRequest'
      responses:
        '200':
          description: '`AudioMessageResource`'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AudioMessageResource'
        '400':
          $ref: '#/components/responses/BadRequestException'
        '401':
          $ref: '#/components/responses/UnauthorizedException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          $ref: '#/components/responses/InternalServerErrorException'
components:
  schemas:
    VideoMessageRequest:
      type: object
      properties:
        contact_id:
          type: string
          description: Contact ID.
          pattern: ^[0-9]+@[cs]\.us$
          minLength: 10
          maxLength: 50
          example: xxx@c.us
        videoUrl:
          type: string
          description: Video URL
          format: uri
          maxLength: 2048
          pattern: ^https?://.*\.(mp4|avi|mov|wmv|flv|webm|mkv)$
          example: >-
            https://github.com/CrunchzApp/asset-example/raw/main/examples/video.mp4
        caption:
          type:
            - string
            - 'null'
          description: Caption
          maxLength: 1024
          example: Check this out bro!
        reply_to:
          type: string
          description: Message ID to reply to (optional)
          pattern: ^[A-Za-z0-9_-]+$
          minLength: 1
          maxLength: 100
          example: message_id_here
      required:
        - contact_id
        - videoUrl
      title: VideoMessageRequest
    AudioMessageResource:
      type: object
      properties:
        success:
          type: boolean
          description: The success status of response.
        message:
          type: string
          description: The message of response.
        data:
          type: object
          properties:
            status:
              type: string
              description: The status of the message.
            message:
              type: string
              description: The message audio.
            timestamp:
              type: string
              description: The timestamp when it sent.
          required:
            - status
            - message
            - timestamp
      required:
        - success
        - message
        - data
      title: AudioMessageResource
  responses:
    BadRequestException:
      description: Bad request error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    UnauthorizedException:
      description: Unauthorized error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
    InternalServerErrorException:
      description: Internal server error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````